import request from '@/utils/request'
import { parseStrEmpty } from "@/utils/ruoyi";
// 查询区域采集点列表
export function listCheck(query) {
  return request({
    url: '/system/check/list',
    method: 'get',
    params: query
  })
}

// 查询区域采集点详细
export function getCheck(id) {
  return request({
    url: '/system/check/' + parseStrEmpty(id),
    method: 'get'
  })
}
// 查询区域采集点通过区域id
export function getCheckByAreaId(areaId) {
  return request({
    url: '/system/check/getAreaCheckInfo/' + areaId,
    method: 'get'
  })
}

// 查询区域采集点通过机构id
export function getAreaCheckInfoByOrgId(orgId) {
  return request({
    url: '/system/check/getAreaCheckInfoByOrg/' + orgId.id,
    method: 'get'
  })
}
// 查询部门下拉树结构
export function deptTreeSelect() {
  return request({
    url: '/system/user/deptTree',
    method: 'get'
  })
}
// 新增区域采集点
export function addCheck(data) {
  return request({
    url: '/system/check',
    method: 'post',
    data: data
  })
}

// 修改区域采集点
export function updateCheck(data) {
  return request({
    url: '/system/check',
    method: 'put',
    data: data
  })
}

// 删除区域采集点
export function delCheck(id) {
  return request({
    url: '/system/check/' + id,
    method: 'delete'
  })
}

